<h1 mat-dialog-title>{{'training.form.title_update_activity' | translate}}</h1>

<button class="close-button" tabindex="-1" mat-dialog-close mat-icon-button>
  <mat-icon>close</mat-icon>
</button>

<form mat-dialog-content>
  <mat-form-field class="full-width">
    <mat-chip-list>
      <div *ngFor="let activity of activities$ | async as activities">
        <mat-chip *ngIf="scheduledActivity.activity.id === activity.id" color="primary" selected>
          {{activity.name}}
        </mat-chip>

        <mat-chip *ngIf="scheduledActivity.activity.id !== activity.id" (click)="changeActivity(activity)">
          {{activity.name}}
        </mat-chip>
      </div>
    </mat-chip-list>
  </mat-form-field>
</form>

<mat-dialog-actions>
  <button mat-button mat-dialog-close>{{ 'app.cancel' | translate }}</button>
  <button mat-raised-button [disabled]="scheduledActivity.activity.id === dialogData.scheduledActivity.activity.id" (click)="submit()" color="primary">{{ 'training.form.submit_update_activity' | translate }}</button>
</mat-dialog-actions>
